
From: gerg@snapgear.com

Remove m68knommu types.h, use m68k types.h instead.  At this level there is
no difference between the basic m68k types and the m68knommu types, no
point having 2 versions of the same file.



 25-akpm/include/asm-m68knommu/types.h |   67 ----------------------------------
 1 files changed, 1 insertion(+), 66 deletions(-)

diff -puN include/asm-m68knommu/types.h~m68knommu-types-cleanup include/asm-m68knommu/types.h
--- 25/include/asm-m68knommu/types.h~m68knommu-types-cleanup	Mon Jan  5 12:37:27 2004
+++ 25-akpm/include/asm-m68knommu/types.h	Mon Jan  5 12:37:27 2004
@@ -1,66 +1 @@
-#ifndef _M68K_TYPES_H
-#define _M68K_TYPES_H
-
-/*
- * This file is never included by application software unless
- * explicitly requested (e.g., via linux/types.h) in which case the
- * application is Linux specific so (user-) name space pollution is
- * not a major issue.  However, for interoperability, libraries still
- * need to be careful to avoid a name clashes.
- */
-
-#ifndef __ASSEMBLY__
-
-typedef unsigned short umode_t;
-
-/*
- * __xx is ok: it doesn't pollute the POSIX namespace. Use these in the
- * header files exported to user space
- */
-
-typedef __signed__ char __s8;
-typedef unsigned char __u8;
-
-typedef __signed__ short __s16;
-typedef unsigned short __u16;
-
-typedef __signed__ int __s32;
-typedef unsigned int __u32;
-
-#if defined(__GNUC__) && !defined(__STRICT_ANSI__)
-typedef __signed__ long long __s64;
-typedef unsigned long long __u64;
-#endif
-
-#endif /* __ASSEMBLY__ */
-
-/*
- * These aren't exported outside the kernel to avoid name space clashes
- */
-#ifdef __KERNEL__
-
-#define BITS_PER_LONG 32
-
-#ifndef __ASSEMBLY__
-
-typedef signed char s8;
-typedef unsigned char u8;
-
-typedef signed short s16;
-typedef unsigned short u16;
-
-typedef signed int s32;
-typedef unsigned int u32;
-
-typedef signed long long s64;
-typedef unsigned long long u64;
-
-/* Dma addresses are 32-bits wide.  */
-
-typedef u32 dma_addr_t;
-
-#endif /* __ASSEMBLY__ */
-
-#endif /* __KERNEL__ */
-
-#endif /* _M68K_TYPES_H */
+#include <asm-m68k/types.h>

_
